WingzParser Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
WingzParser Class Reference

the main class to read a Wingz document More...

`#include <WingzParser.hxx>`

Inheritance diagram for WingzParser:

## Public Member Functions
| WingzParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor More...
virtual | ~WingzParser ()
| destructor More...
bool | checkHeader (MWAWHeader *header, bool strict=false)
| checks if the document header is correct (or not) More...
void | parse (librevenge::RVNGSpreadsheetInterface *documentInterface)
| virtual function used to parse the input More...
Public Member Functions inherited from MWAWSpreadsheetParser
virtual | ~MWAWSpreadsheetParser ()
| destructor More...
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor More...
int | version () const
| returns the works version More...
MWAWParserStatePtr | getParserState ()
| returns the parser state More...
MWAWHeader * | getHeader ()
| returns the header More...
MWAWInputStreamPtr & | getInput ()
| returns the actual input More...
MWAWListenerPtr | getMainListener ()
| returns the main listener More...
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener More...
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener More...
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter More...
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension More...
double | getFormLength () const
| returns the form length More...
double | getFormWidth () const
| returns the form width More...
double | getPageLength () const
| returns the page length (form length without margin ) More...
double | getPageWidth () const
| returns the page width (form width without margin ) More...
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser More...
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
void | init ()
| inits all internal variables More...
void | createDocument (librevenge::RVNGSpreadsheetInterface *documentInterface)
| creates the listener which will be associated to the document More...
bool | sendSpreadsheet ()
| try to send the main spreadsheet More...
bool | createZones ()
| finds the different objects zones More...
bool | readPrintInfo ()
| read the print info zone More...
bool | readPreferences ()
| read the preference zone ( the first zone) More...
bool | readSpreadsheet ()
| read the spreadshet zone More...
bool | readSpreadsheetSize ()
| read some spreadsheet size (col/row size or page break) More...
bool | readSpreadsheetPBreak ()
| read a page break zone More...
bool | readSpreadsheetStyle ()
| read a style in a spreadsheet More...
bool | readSpreadsheetCellName ()
| read a spreadsheet cell name More...
bool | readFormula ()
| read a formula in a spreadsheet More...
bool | readSpreadsheetCellList ()
| read a spreadsheet list of cell More...
bool | readSpreadsheetZone5 ()
| read a spreadsheet unknown zone 5 More...
bool | readGraphic ()
| read a graphic zone More...
bool | readChartData ()
| read a chart ( some graphic zone) More...
bool | readTextZone ()
| read a text zone or a button zone ( some graphic zone) More...
bool | readMacro ()
| read a macro in a text zone ( some graphic zone) More...
bool | decodeEncrypted ()
| try to decode an encrypted input More...
bool | findNextZone (int lastType=0)
| try to find the next spreadsheet zone More...
Protected Member Functions inherited from MWAWSpreadsheetParser
| MWAWSpreadsheetParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWSpreadsheetParser (MWAWParserStatePtr state)
| constructor using a state More...
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWParser (MWAWParserStatePtr state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the listener More...
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener More...
void | resetPresentationListener ()
| resets the listener More...
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the listener More...
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener More...
void | resetTextListener ()
| resets the listener More...
void | setFontConverter (MWAWFontConverterPtr fontConverter)
| sets the font convertor More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Protected Attributes
shared_ptr< WingzParserInternal::State > | m_state
| the state More...

## Detailed Description

the main class to read a Wingz document

Note
  need more files to be sure to treat all documents, ie. as some flags (defining the following type's field) can appear in many structures, only having a lot of documents can allow to find all this type's fields...

## Constructor & Destructor Documentation

WingzParser::WingzParser | ( | MWAWInputStreamPtr | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

constructor

WingzParser::~WingzParser | ( |  | ) |
| virtual

destructor

## Member Function Documentation

bool WingzParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = `false`
| ) |  |
| virtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by parse().

void WingzParser::createDocument | ( | librevenge::RVNGSpreadsheetInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

bool WingzParser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by parse().

bool WingzParser::decodeEncrypted | ( |  | ) |
| protected

try to decode an encrypted input

Referenced by parse().

bool WingzParser::findNextZone | ( | int | lastType = `0` | ) |
| protected

try to find the next spreadsheet zone

Referenced by createZones(), readChartData(), readSpreadsheet(), and readTextZone().

void WingzParser::init | ( |  | ) |
| protected

inits all internal variables

Referenced by WingzParser().

void WingzParser::parse | ( | librevenge::RVNGSpreadsheetInterface * | documentInterface | ) |
| virtual

virtual function used to parse the input

Implements MWAWSpreadsheetParser.

bool WingzParser::readChartData | ( |  | ) |
| protected

read a chart ( some graphic zone)

Referenced by readGraphic().

bool WingzParser::readFormula | ( |  | ) |
| protected

read a formula in a spreadsheet

Referenced by readSpreadsheet().

bool WingzParser::readGraphic | ( |  | ) |
| protected

read a graphic zone

Referenced by readSpreadsheet().

bool WingzParser::readMacro | ( |  | ) |
| protected

read a macro in a text zone ( some graphic zone)

Referenced by readGraphic(), and readSpreadsheet().

bool WingzParser::readPreferences | ( |  | ) |
| protected

read the preference zone ( the first zone)

Referenced by createZones().

bool WingzParser::readPrintInfo | ( |  | ) |
| protected

read the print info zone

Referenced by readSpreadsheet().

bool WingzParser::readSpreadsheet | ( |  | ) |
| protected

read the spreadshet zone

Referenced by createZones().

bool WingzParser::readSpreadsheetCellList | ( |  | ) |
| protected

read a spreadsheet list of cell

Referenced by readSpreadsheet().

bool WingzParser::readSpreadsheetCellName | ( |  | ) |
| protected

read a spreadsheet cell name

Referenced by readSpreadsheet().

bool WingzParser::readSpreadsheetPBreak | ( |  | ) |
| protected

read a page break zone

Referenced by readSpreadsheet().

bool WingzParser::readSpreadsheetSize | ( |  | ) |
| protected

read some spreadsheet size (col/row size or page break)

Referenced by readSpreadsheet().

bool WingzParser::readSpreadsheetStyle | ( |  | ) |
| protected

read a style in a spreadsheet

Referenced by readSpreadsheet().

bool WingzParser::readSpreadsheetZone5 | ( |  | ) |
| protected

read a spreadsheet unknown zone 5

Referenced by readSpreadsheet().

bool WingzParser::readTextZone | ( |  | ) |
| protected

read a text zone or a button zone ( some graphic zone)

Referenced by readGraphic().

bool WingzParser::sendSpreadsheet | ( |  | ) |
| protected

try to send the main spreadsheet

Referenced by parse().

## Member Data Documentation

shared_ptr<WingzParserInternal::State> WingzParser::m_state
| protected

the state

Referenced by checkHeader(), createDocument(), init(), parse(), readFormula(), readSpreadsheetCellList(), readSpreadsheetCellName(), readSpreadsheetSize(), readSpreadsheetStyle(), and sendSpreadsheet().

The documentation for this class was generated from the following files:

- WingzParser.hxx
- WingzParser.cxx